# Class UserPayload

#### Hierarchy

- unknown
  - UserPayload

- Defined in src/protobuf/pb_pb.d.ts:7231
- Defined in src/protobuf/pb_pb.d.ts:7319

#####
Index

### Constructors

constructor

### Methods

addAcceptedArbitrators
addAcceptedLanguageLocaleCodes
addAcceptedMediators
addAcceptedRefundAgents
addMarketAlertFilters
addPaymentAccounts
clearAcceptedArbitratorsList
clearAcceptedLanguageLocaleCodesList
clearAcceptedMediatorsList
clearAcceptedRefundAgentsList
clearCookieMap
clearCurrentPaymentAccount
clearDevelopersAlert
clearDevelopersFilter
clearDisplayedAlert
clearMarketAlertFiltersList
clearPaymentAccountsList
clearPriceAlertFilter
clearRegisteredArbitrator
clearRegisteredMediator
clearRegisteredRefundAgent
getAcceptedArbitratorsList
getAcceptedLanguageLocaleCodesList
getAcceptedMediatorsList
getAcceptedRefundAgentsList
getAccountId
getCookieMap
getCurrentPaymentAccount
getDevelopersAlert
getDevelopersFilter
getDisplayedAlert
getMarketAlertFiltersList
getPaymentAccountsList
getPriceAlertFilter
getRegisteredArbitrator
getRegisteredMediator
getRegisteredRefundAgent
getWalletCreationDate
hasCurrentPaymentAccount
hasDevelopersAlert
hasDevelopersFilter
hasDisplayedAlert
hasPriceAlertFilter
hasRegisteredArbitrator
hasRegisteredMediator
hasRegisteredRefundAgent
serializeBinary
setAcceptedArbitratorsList
setAcceptedLanguageLocaleCodesList
setAcceptedMediatorsList
setAcceptedRefundAgentsList
setAccountId
setCurrentPaymentAccount
setDevelopersAlert
setDevelopersFilter
setDisplayedAlert
setMarketAlertFiltersList
setPaymentAccountsList
setPriceAlertFilter
setRegisteredArbitrator
setRegisteredMediator
setRegisteredRefundAgent
setWalletCreationDate
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UserPayload(): UserPayload

- #### Returns UserPayload

  Inherited from jspb.Message.constructor

## Methods

### addAcceptedArbitrators

- addAcceptedArbitrators(value?: Arbitrator, index?: number): Arbitrator

- #### Parameters

  - ##### `Optional` value: Arbitrator

  - ##### `Optional` index: number

  #### Returns Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:7268

### addAcceptedLanguageLocaleCodes

- addAcceptedLanguageLocaleCodes(value: string, index?: number): UserPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7248

### addAcceptedMediators

- addAcceptedMediators(value?: Mediator, index?: number): Mediator

- #### Parameters

  - ##### `Optional` value: Mediator

  - ##### `Optional` index: number

  #### Returns Mediator

  - Defined in src/protobuf/pb_pb.d.ts:7273

### addAcceptedRefundAgents

- addAcceptedRefundAgents(value?: RefundAgent, index?: number): RefundAgent

- #### Parameters

  - ##### `Optional` value: RefundAgent

  - ##### `Optional` index: number

  #### Returns RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:7298

### addMarketAlertFilters

- addMarketAlertFilters(value?: MarketAlertFilter, index?: number): MarketAlertFilter

- #### Parameters

  - ##### `Optional` value: MarketAlertFilter

  - ##### `Optional` index: number

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7293

### addPaymentAccounts

- addPaymentAccounts(value?: PaymentAccount, index?: number): PaymentAccount

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  - ##### `Optional` index: number

  #### Returns PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7238

### clearAcceptedArbitratorsList

- clearAcceptedArbitratorsList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7267

### clearAcceptedLanguageLocaleCodesList

- clearAcceptedLanguageLocaleCodesList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7247

### clearAcceptedMediatorsList

- clearAcceptedMediatorsList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7272

### clearAcceptedRefundAgentsList

- clearAcceptedRefundAgentsList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7297

### clearCookieMap

- clearCookieMap(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7306

### clearCurrentPaymentAccount

- clearCurrentPaymentAccount(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7243

### clearDevelopersAlert

- clearDevelopersAlert(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7253

### clearDevelopersFilter

- clearDevelopersFilter(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7263

### clearDisplayedAlert

- clearDisplayedAlert(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7258

### clearMarketAlertFiltersList

- clearMarketAlertFiltersList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7292

### clearPaymentAccountsList

- clearPaymentAccountsList(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7237

### clearPriceAlertFilter

- clearPriceAlertFilter(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7288

### clearRegisteredArbitrator

- clearRegisteredArbitrator(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7278

### clearRegisteredMediator

- clearRegisteredMediator(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7283

### clearRegisteredRefundAgent

- clearRegisteredRefundAgent(): UserPayload

- #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7303

### getAcceptedArbitratorsList

- getAcceptedArbitratorsList(): Arbitrator[]

- #### Returns Arbitrator[]

  - Defined in src/protobuf/pb_pb.d.ts:7265

### getAcceptedLanguageLocaleCodesList

- getAcceptedLanguageLocaleCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7245

### getAcceptedMediatorsList

- getAcceptedMediatorsList(): Mediator[]

- #### Returns Mediator[]

  - Defined in src/protobuf/pb_pb.d.ts:7270

### getAcceptedRefundAgentsList

- getAcceptedRefundAgentsList(): RefundAgent[]

- #### Returns RefundAgent[]

  - Defined in src/protobuf/pb_pb.d.ts:7295

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7232

### getCookieMap

- getCookieMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:7305

### getCurrentPaymentAccount

- getCurrentPaymentAccount(): undefined | PaymentAccount

- #### Returns undefined | PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7240

### getDevelopersAlert

- getDevelopersAlert(): undefined | Alert

- #### Returns undefined | Alert

  - Defined in src/protobuf/pb_pb.d.ts:7250

### getDevelopersFilter

- getDevelopersFilter(): undefined | Filter

- #### Returns undefined | Filter

  - Defined in src/protobuf/pb_pb.d.ts:7260

### getDisplayedAlert

- getDisplayedAlert(): undefined | Alert

- #### Returns undefined | Alert

  - Defined in src/protobuf/pb_pb.d.ts:7255

### getMarketAlertFiltersList

- getMarketAlertFiltersList(): MarketAlertFilter[]

- #### Returns MarketAlertFilter[]

  - Defined in src/protobuf/pb_pb.d.ts:7290

### getPaymentAccountsList

- getPaymentAccountsList(): PaymentAccount[]

- #### Returns PaymentAccount[]

  - Defined in src/protobuf/pb_pb.d.ts:7235

### getPriceAlertFilter

- getPriceAlertFilter(): undefined | PriceAlertFilter

- #### Returns undefined | PriceAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7285

### getRegisteredArbitrator

- getRegisteredArbitrator(): undefined | Arbitrator

- #### Returns undefined | Arbitrator

  - Defined in src/protobuf/pb_pb.d.ts:7275

### getRegisteredMediator

- getRegisteredMediator(): undefined | Mediator

- #### Returns undefined | Mediator

  - Defined in src/protobuf/pb_pb.d.ts:7280

### getRegisteredRefundAgent

- getRegisteredRefundAgent(): undefined | RefundAgent

- #### Returns undefined | RefundAgent

  - Defined in src/protobuf/pb_pb.d.ts:7300

### getWalletCreationDate

- getWalletCreationDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7308

### hasCurrentPaymentAccount

- hasCurrentPaymentAccount(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7242

### hasDevelopersAlert

- hasDevelopersAlert(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7252

### hasDevelopersFilter

- hasDevelopersFilter(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7262

### hasDisplayedAlert

- hasDisplayedAlert(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7257

### hasPriceAlertFilter

- hasPriceAlertFilter(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7287

### hasRegisteredArbitrator

- hasRegisteredArbitrator(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7277

### hasRegisteredMediator

- hasRegisteredMediator(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7282

### hasRegisteredRefundAgent

- hasRegisteredRefundAgent(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7302

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7311

### setAcceptedArbitratorsList

- setAcceptedArbitratorsList(value: Arbitrator[]): UserPayload

- #### Parameters

  - ##### value: Arbitrator[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7266

### setAcceptedLanguageLocaleCodesList

- setAcceptedLanguageLocaleCodesList(value: string[]): UserPayload

- #### Parameters

  - ##### value: string[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7246

### setAcceptedMediatorsList

- setAcceptedMediatorsList(value: Mediator[]): UserPayload

- #### Parameters

  - ##### value: Mediator[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7271

### setAcceptedRefundAgentsList

- setAcceptedRefundAgentsList(value: RefundAgent[]): UserPayload

- #### Parameters

  - ##### value: RefundAgent[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7296

### setAccountId

- setAccountId(value: string): UserPayload

- #### Parameters

  - ##### value: string

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7233

### setCurrentPaymentAccount

- setCurrentPaymentAccount(value?: PaymentAccount): UserPayload

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7241

### setDevelopersAlert

- setDevelopersAlert(value?: Alert): UserPayload

- #### Parameters

  - ##### `Optional` value: Alert

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7251

### setDevelopersFilter

- setDevelopersFilter(value?: Filter): UserPayload

- #### Parameters

  - ##### `Optional` value: Filter

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7261

### setDisplayedAlert

- setDisplayedAlert(value?: Alert): UserPayload

- #### Parameters

  - ##### `Optional` value: Alert

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7256

### setMarketAlertFiltersList

- setMarketAlertFiltersList(value: MarketAlertFilter[]): UserPayload

- #### Parameters

  - ##### value: MarketAlertFilter[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7291

### setPaymentAccountsList

- setPaymentAccountsList(value: PaymentAccount[]): UserPayload

- #### Parameters

  - ##### value: PaymentAccount[]

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7236

### setPriceAlertFilter

- setPriceAlertFilter(value?: PriceAlertFilter): UserPayload

- #### Parameters

  - ##### `Optional` value: PriceAlertFilter

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7286

### setRegisteredArbitrator

- setRegisteredArbitrator(value?: Arbitrator): UserPayload

- #### Parameters

  - ##### `Optional` value: Arbitrator

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7276

### setRegisteredMediator

- setRegisteredMediator(value?: Mediator): UserPayload

- #### Parameters

  - ##### `Optional` value: Mediator

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7281

### setRegisteredRefundAgent

- setRegisteredRefundAgent(value?: RefundAgent): UserPayload

- #### Parameters

  - ##### `Optional` value: RefundAgent

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7301

### setWalletCreationDate

- setWalletCreationDate(value: number): UserPayload

- #### Parameters

  - ##### value: number

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7309

### toObject

- toObject(includeInstance?: boolean): UserPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UserPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7312

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UserPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7315

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UserPayload, reader: BinaryReader): UserPayload

- #### Parameters

  - ##### message: UserPayload

  - ##### reader: BinaryReader

  #### Returns UserPayload

  - Defined in src/protobuf/pb_pb.d.ts:7316

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UserPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UserPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7314

### `Static` toObject

- toObject(includeInstance: boolean, msg: UserPayload): UserPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UserPayload

  #### Returns UserPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7313

Generated using TypeDoc